org.apache.yetus.audience.tools

## Class IncludePublicAnnotationsStandardDoclet

- java.lang.Object
- - org.apache.yetus.audience.tools.IncludePublicAnnotationsStandardDoclet

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class IncludePublicAnnotationsStandardDoclet
      extends Object

  A Doclet that only includes class-level elements that are annotated with `InterfaceAudience.Public`. Class-level elements with no annotation are excluded. In addition, all elements that are annotated with `InterfaceAudience.Private` or `InterfaceAudience.LimitedPrivate` are also excluded. It delegates to the Standard Doclet, and takes the same options.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncludePublicAnnotationsStandardDoclet()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.sun.javadoc.LanguageVersion` | `languageVersion()`
    `static int` | `optionLength(String option)`
    `static boolean` | `start(com.sun.javadoc.RootDoc root)`
    `static boolean` | `validOptions(String[][] options, com.sun.javadoc.DocErrorReporter reporter)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IncludePublicAnnotationsStandardDoclet

          public IncludePublicAnnotationsStandardDoclet()

  - ### Method Detail

    - #### languageVersion

          public static com.sun.javadoc.LanguageVersion languageVersion()

    - #### start

          public static boolean start(com.sun.javadoc.RootDoc root)

    - #### optionLength

          public static int optionLength(String option)

    - #### validOptions

          public static boolean validOptions(String[][] options,
                                             com.sun.javadoc.DocErrorReporter reporter)

Copyright © 2015–2020 The Apache Software Foundation. All rights reserved.